libuuid-tiny-perl_1.0400-1_all.deb


Advertisement

Description

libuuid-tiny-perl - pure Perl module to generate v1, v3, v4, and v5 UUIDs

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libuuid-tiny-perl
Package version 1.0400
Package release 1
Package architecture all
Package type deb
Installed size 74 B
Download size 18.00 KB
Official Mirror ftp.br.debian.org
UUID::Tiny provides a simple, non-object-oriented interface for generating
UUIDs from Perl code. It is not suitable for performance-sensitive UUID
generation or for applications that require v1 UUIDs generated from a real
MAC address (this module generates random MAC addresses), but otherwise
provides a simpler Perl interface for UUID generation than alternatives.

Alternatives

Package Version Architecture Repository
libuuid-tiny-perl_1.0400-1_all.deb 1.0400 all Debian Main
libuuid-tiny-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libuuid-tiny-perl_1.0400-1_all.deb
Source Package libuuid-tiny-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libuuid-tiny-perl deb package:
    # sudo apt-get install libuuid-tiny-perl

Files

Path
/usr/share/doc/libuuid-tiny-perl/changelog.Debian.gz
/usr/share/doc/libuuid-tiny-perl/changelog.gz
/usr/share/doc/libuuid-tiny-perl/copyright
/usr/share/man/man3/UUID::Tiny.3pm.gz
/usr/share/perl5/UUID/Tiny.pm

Changelog

2013-09-19 - Salvatore Bonaccorso <carnil@debian.org>
libuuid-tiny-perl (1.0400-1) unstable; urgency=low
* Team upload.
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ Salvatore Bonaccorso ]
* Imported Upstream version 1.0400
* Update copyright years for upstream files
* Bump Standards-Version to 3.9.4
2011-05-07 - Salvatore Bonaccorso <carnil@debian.org>
libuuid-tiny-perl (1.0300-2) unstable; urgency=low
* Team upload.
* Convert to '3.0 (quilt)' source package format.
* Bump Debhelper compat level to 8.
* debian/control:
- Bump Build-Depends on debhelper to (>= 8).
- Drop alternate (Build-)Depends(-Indep) on 
perl (>= 5.10) | libdigest-sha-perl | libdigest-sha1-perl as oldstable
has already perl (>= 5.10) and Digest::SHA module is in perl core since
oldstable.
* debian/copyright:
- Refer to Debian systems in general instead of only Debian
GNU/Linux systems.
- Explicitly refer to GPL-1 license text in common-licenses.
* Bump Standards-Version to 3.9.2.
2010-01-31 - Jonathan Yu <jawnsy@cpan.org>
libuuid-tiny-perl (1.0300-1) unstable; urgency=low
* New upstream release
* Upstream implementation uses Digest::SHA or falls back to
Digest::SHA1 (the latter is part of core since 5.9.3, or 5.10 in
Debian)
* Standards-Version 3.8.4 (no changes)
2010-01-14 - Jonathan Yu <jawnsy@cpan.org>
libuuid-tiny-perl (1.0202-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Update years of copyright per upstream
* Add mangle to handle version numbers
[ Ryan Niebur ]
* Update jawnsy's email address
2009-08-22 - Jonathan Yu <frequency@cpan.org>
libuuid-tiny-perl (1.02-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
+ Updated POD example code
+ Seed is now lexical scope (my vs our)
+ Introduce UUID_TIME as alternative to UUID_V1 etc
+ Locking for thread-safety of MD5_CALCULATOR and SHA1_CALCULATOR
* Standards-Version 3.8.3 (no changes)
* Added myself to Copyright and Uploaders
* Reformatted control description (re-wrapped it)
[ gregor herrmann ]
* debian/control: add libtest-pod-perl, libtest-pod-coverage-perl to
Build-Depends-Indep in order to activate additional tests.
2009-08-13 - Christine Spang <christine@debian.org>
libuuid-tiny-perl (1.01-1) unstable; urgency=low
* Initial Release. (Closes: #541068)

See Also

Package Description
libuuid1_2.25.2-6_amd64.deb Universally Unique ID library
libuuidm-ocaml-dev_0.9.5-1+b1_amd64.deb Universally unique identifiers for OCaml
libuv0.10-dev_0.10.28-6_amd64.deb asynchronous event notification library - development files
libuv0.10_0.10.28-6_amd64.deb asynchronous event notification library - runtime library
libv-perl_0.13-1_all.deb module for printing the version of specified perl module(s)
libv4l-0_1.6.0-2_amd64.deb Collection of video4linux support libraries
libv4l-dev_1.6.0-2_amd64.deb Collection of video4linux support libraries (development files)
libv4l2rds0_1.6.0-2_amd64.deb Video4Linux Radio Data System (RDS) decoding library
libv4lconvert0_1.6.0-2_amd64.deb Video4linux frame format conversion library
libv8-3.14-dev_3.14.5.8-8.1_amd64.deb V8 JavaScript engine - development files for 3.14 branch
libv8-3.14.5_3.14.5.8-8.1_amd64.deb V8 JavaScript engine - runtime library
libv8-dev_3.14.5.8-8.1_amd64.deb V8 JavaScript engine - development files for latest branch
libva-dev_1.4.1-1_amd64.deb Video Acceleration (VA) API for Linux -- development files
libva-drm1_1.4.1-1_amd64.deb Video Acceleration (VA) API for Linux -- DRM runtime
libva-egl1_1.4.1-1_amd64.deb Video Acceleration (VA) API for Linux -- EGL runtime
Advertisement
Advertisement